import {Platform, StyleSheet} from 'react-native';
import theme from '../utils/theme';

let style = StyleSheet.create({
  container: {
    flex: 1,
    flexDirection: 'column',
    padding: 15,
    backgroundColor: theme.primaryColor,
  },
  title: {
    fontSize: 20,
    textAlign: 'center',
    fontWeight: 'bold',
    color: 'white',
  },
  field: {
    marginVertical: 8,
  },
  pickerItemStyle: {
    height: Platform.OS == 'ios' ? 36 : 48,
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: 'white',
    textAlign: 'left',
  },
  dropdownWrapper: {
    width: '100%',
    height: Platform.OS == 'ios' ? 36 : 48,
    borderColor: 'grey',
    borderWidth: 1,
    backgroundColor: 'transparent',
    borderRadius: 50,
    marginVertical: 8,
  },
  dropdownItemContainer: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  dropdownLabelContainer: {
    flex: 0.9,
    justifyContent: 'center',
  },
  dropdownLabelText: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: 'white',
    textAlign: 'left',
    paddingHorizontal: Platform.OS == 'ios' ? 0 : 4,
  },
  dropdownIconContainer: {
    flex: 0.1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  dropdownItemText: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: 'black',
    textAlign: 'left',
  },
  dropdownSelectedItemText: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: theme.secondryColor,
    textAlign: 'left',
  },
  fieldlabel: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
  },
  fieldvalue: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
    borderColor: 'grey',
    borderWidth: 1,
    borderRadius: 50,
    paddingHorizontal: 12,
    paddingVertical: 10,
  },
  selectfieldvalue: {
    borderColor: 'grey',
    borderWidth: 1,
    borderRadius: 50,
    paddingHorizontal: Platform.OS == 'ios' ? 0 : 2,
  },
  marketprice: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
    marginTop: 8,
  },
  submitBtn: {
    justifyContent: 'flex-end',
    alignItems: 'center',
    backgroundColor: theme.secondryColor,
    borderRadius: 8,
    marginVertical: 8,
    paddingHorizontal: 16,
    paddingVertical: 8,
    flex:0.4,
    zIndex:1,
  },

  submitBtn2: {
    justifyContent: 'flex-end',
    alignItems: 'center',
    backgroundColor: 'red',
    borderRadius: 8,
    marginVertical: 8,
    paddingHorizontal: 16,
    paddingVertical: 8,
    flex:0.4
  },
  submittext: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: '#fff',
    textAlign: 'center',
  },
  errormsg: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ff0000',
    marginHorizontal: 12,
    marginVertical: 10,
  },
  centeredView: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  modalView: {
    width: '87.5%',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    margin: 16,
    padding: 16,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 4,
    elevation: 4,
  },
  openButton: {
    backgroundColor: theme.secondryColor,
    borderRadius: 8,
    paddingHorizontal: 16,
    paddingVertical: 8,
  },
  textStyle: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
  },
  modalText: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
    textAlign: 'center',
    marginBottom: 8,
  },
  active: {
    textAlign: 'center',
    fontSize: 18,
    padding: 10,
    color: '#fcd700',
    fontWeight: 'bold',
    borderBottomColor: '#fcd700',
    borderBottomWidth: 3,
  },
  inactive: {
    textAlign: 'center',
    fontSize: 18,
    padding: 10,
    color: 'white',
    borderBottomColor: 'grey',
    borderBottomWidth: 1,
  },
});

export default style;
